Addresses v1 · Address
A grouping of operations that retrieve address information.
Before calling these endpoints, use a Geoscape Hub application with access to this API product. Authenticate with your Consumer Key in the Authorization header. See Authentication, Error Handling, Rate Limiting, and Attribution for shared integration guidance.
Required response fields must be present when their containing object is returned. Supply the documented request parameters when calling the endpoint.
Get verified attributes
Authentication: Use your Consumer Key in the
Authorizationheader.
Implementation Notes
This operation returns a list of known address attributes for a given specific building denoted by the buildingId. The optional parameter include accepts a comma-separated list of resources to add such resource information to the response.
addressRecordTypedescribes if the address is aprimaryorsecondaryaddress (a unit or other form of sub-address)buildingRolloutStatusdescribes if the address is covered by the Buildings API yet
Intended use
This resource is a menu of what we know about a specific address. If you already know you want certain information returned, use the include parameter to reduce your call count and get to the data you need.
Include Parameter
To reduce the chattiness of the API, we've implemented a parameter that allows you to pull back multiple attributes from a resource without the need to make multiple requests. to use the include parameter, specify a comma-separated list of the attributes you want in the response. example: include=addressDetails,geo,localGovernmentArea
if you request multiple attributes using the
includeparameter, but we can't return all of them, we will return a message object in the JSON response advising what we didn't return and why.
path Parameters
addressIdThe unique address identifier.
query Parameters
includeA comma-separated list of additional attributes to be included in the response.
Get verified attributes › Responses
Success
addressIdaddressRecordTypebuildingsRolloutStatusThe JSON model of the Address Links Object
relatedBuildingIdsThe JSON model of the Address Details Object
The JSON model of the ASGS Main Object
The JSON model of the ASGS Remoteness Object
The JSON model of the Commonwealth Electorate Object
The JSON model of Geometry Object
The JSON model of Local Government Area Object
The JSON model of the State Electorate object